/**
 * @class RView
 * @param {Object} modules - Modules configuration
 * @param {Object} [options] - Optional settings
 */
'use strict'

const app = require('./app')
const { AKoa } = require('akoa')

/** @lends RView */
class RView extends AKoa {
  constructor (modules, options = {}) {
    let { middleware } = app(modules)
    super(middleware, options)
  }
}

module.exports = RView
